/*-*-c++-*-*/
/******************************************************************************
 **                                                                          **
 ** Copyright (c) 2000 Massachusetts Institute of Technology, Cambridge, MA. **
 ** All rights reserved.                                                     **
 **                                                                          **
 ******************************************************************************
  ==========================================================================
  ============================= File Info ==================================

  Author: Zhenhai Zhu
  
  Description:

  Resources:

  See also:

  const static char cvsid[] = "$Id: utils.h,v 1.2 2002/08/01 14:02:38 zhzhu Exp $";

  ==========================================================================
*/

#ifndef _UTILS_H_
#define _UTILS_H_

#include <string>
#include <complex>
#include "vector3D.h"

namespace pfft {

  void timeReport (const std::string& message, double time);
  void errorMessage (char *fileName, char *message);
  void warningMessage (char *fileName, char *message);

  const double PAI = 3.1415926535897932385;

  const std::complex<double> J(0.,1.);
  const std::complex<double> COMPLEX_ZERO(0.,0.);
  const pfft::vector3D<double> ZERO_REAL_VECTOR_3D(0., 0., 0.);
  const pfft::vector3D<std::complex<double> > ZERO_COMPLEX_VECTOR_3D(COMPLEX_ZERO, COMPLEX_ZERO, COMPLEX_ZERO); 

}

#endif
